Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.seam.mock
Enum ResourceRequestEnvironment.Method

    java.lang.Object
      java.lang.Enum<ResourceRequestEnvironment.Method>
          org.jboss.seam.mock.ResourceRequestEnvironment.Method

All Implemented Interfaces:
  Serializable, Comparable<ResourceRequestEnvironment.Method>

Enclosing class:
  ResourceRequestEnvironment

    public static enum ResourceRequestEnvironment.Method

extends Enum<ResourceRequestEnvironment.Method>

Enum Constant Summary
`DELETE`
`GET`
`HEAD`
`OPTIONS`
`POST`
`PUT`

Method Summary
`static ResourceRequestEnvironment.Method` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ResourceRequestEnvironment.Method[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### GET

    public static final ResourceRequestEnvironment.Method GET

### PUT

    public static final ResourceRequestEnvironment.Method PUT

### POST

    public static final ResourceRequestEnvironment.Method POST

### DELETE

    public static final ResourceRequestEnvironment.Method DELETE

### HEAD

    public static final ResourceRequestEnvironment.Method HEAD

### OPTIONS

    public static final ResourceRequestEnvironment.Method OPTIONS

Method Detail

### values

    public static ResourceRequestEnvironment.Method[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ResourceRequestEnvironment.Method c : ResourceRequestEnvironment.Method.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ResourceRequestEnvironment.Method valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.